Bug 116998 - The comment box is smaller when pasting the same comment twice
Summary: The comment box is smaller when pasting the same comment twice
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.3.0.3 release
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bisected, regression
Depends on: 117228
Blocks: Calc-Comments
  Show dependency treegraph
 
Reported: 2018-04-13 17:09 UTC by Telesto
Modified: 2019-04-27 02:51 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-04-13 17:09:52 UTC
Description:
The comment box is smaller when pasting the same comment twice

Steps to Reproduce:
1. Open Calc
2. Insert a comment into A1 (containing some text)
3. Cut A1
4. Paste it at - say -  B3
5. Hoover above it (comment box is fine)
6. Paste it again at - say - B6 -> Comment box has the size of the containing text

Actual Results:  
The size of the comment field differs between pastings

Expected Results:
Should say the same


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.1.0.0.alpha0+
Build ID: 84e2614a75a615d6c8584b13a69b3368d2a12a3d
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-04-12_09:11:38
Locale: nl-NL (nl_NL); Calc: CL


User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Jacques Guilleron 2018-04-20 14:35:53 UTC
Hi Telesto,

I worked this way until
LO  5.3.0.2 Build ID: 5ad7b2889021c491af62f7930a4b1cb631392f16
Threads CPU : 2; Version de l'OS :Windows 6.1; UI Render : par défaut; Moteur de mise en page : nouveau; 
Locale : fr-FR (fr_FR); Calc: single
This is a Text fonctionnality, set to Fit height to text, but not applied to the first copy.
Comment 2 Buovjaga 2018-04-22 16:09:21 UTC
Repro.

Bisected to https://cgit.freedesktop.org/libreoffice/core/commit/?id=cb566c056b0e8f9f73dac3cbaf497e102a247cb9

commit	cb566c056b0e8f9f73dac3cbaf497e102a247cb9 (patch)
tree	93ba07dd11cab7ef22778971959de3bc7694ee1d
parent	2fb220093f7178f75ebd582bbcd956c1ee7e03db (diff)
tdf#104967 prevent crash when pasting notes originating from a closed document
This is only a workaround to prevent a crash, the actual note content is lost
when pasting, only a standard empty note caption will be pasted.

Change-Id: Ifaef5d30cc2024f3d03d6b2b4f56c5ccfbb67142

Adding Eike to CC.
Comment 3 Eike Rathke 2018-04-23 18:20:17 UTC
I somewhat doubt that bisecting result as that code is only executed when closing a document that was the source of the clipboard (detection more stringent and behaviour slightly modified since then, see also bug 104967). Also, that commit went into 5.2.6 as well, so is it reproducible there but not in 5.2.5?
Comment 4 Buovjaga 2018-04-23 18:35:14 UTC
(In reply to Eike Rathke from comment #3)
> I somewhat doubt that bisecting result as that code is only executed when
> closing a document that was the source of the clipboard (detection more
> stringent and behaviour slightly modified since then, see also bug 104967).
> Also, that commit went into 5.2.6 as well, so is it reproducible there but
> not in 5.2.5?

Indeed, the problem is seen in 5.2.6, but not in 5.2.5.
To be exact, in 5.2.6 (as in some commits in my bisect), it manifests in the second pasted instance showing no content at all (while also having less height).
Comment 5 Eike Rathke 2018-04-24 12:30:14 UTC
Which makes sense because that change threw the note content away if the clipboard source document was closed to prevent a crash. Later changes preserve the content but the drawing layer caption can't be preserved so has to be regenerated (with a different size). I'm still baffled though that the code would be executed in this scenario here.
Comment 6 Eike Rathke 2018-04-24 18:09:06 UTC
darn..
Comment 7 Eike Rathke 2018-04-26 09:46:13 UTC
So it's one of the Undo docs that holds the comment after Cut and gets destroyed when pasting thus the captions are rightly forgotten there. Can't fix for released versions. In master/6.1 it works by accident because of the cause of bug 117228 (captions never forgotten), which needs to be fixed first before this could be tackled. Handing back to pool for now.
Comment 8 QA Administrators 2019-04-27 02:51:21 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug